// bukwa, 2003

// definicje
var nip_exp = /^((\d{3}-\d{3}-\d{2}-\d{2})|(\d{3}-\d{2}-\d{2}-\d{3}))$/;
var pesel_exp = /^\d{11}$/;
var regon_exp = /^\d{9}$/;
var tel_exp = /^[0-9]+-?[0-9]+-?[0-9]+-?[0-9]+-?[0-9]*$/;
var zip_exp = /^\d{2}-\d{3}$/;
var dziesietna_exp = /^[0-9\.\-\+]+$/;
var calkowita_exp = /^[0-9]+$/;
var data_exp = /^\d{4}(-\d{2}){2}$/;
var email_exp = /^\S+@\S+\.\S{2,3}$/;
var litery_exp = /^[ʣӦ󶼿\s-0-9A-Za-z_\'\"&\(\),\.]*$/;

// funkcje

// oglna funkcja sprawdzajca
function validate(textfield, exp) {
	if (textfield.value == "") return true;
	if (textfield.value.search(exp) == -1) {
		textfield.select()
		textfield.focus()
		return false
	}
	else {
		return true
	}
}

// sprawdzanie, czy pole nie jest puste
function validateNotNull(textfield, msg) {
	if (textfield.value == "") {
		alert("Pole \""+msg+"\" nie moe by puste!")
		textfield.focus();
		return false
	}
	return true
}

// sprawdzanie, czy pole textfield ma zgodny format z exp,
// jeeli nie, to msg1 i msg2 formatuj komunikat
function validateMatch(textfield, exp, msg1, msg2) {
	if (!validate(textfield, exp)) {
		alert("Pole \""+msg1+"\" ma nieprawidowy format!\nPrawidowy format pola: "+msg2+".")
		textfield.focus();
	
		return false
	}
	return true
}